libzypp: zypp::base Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Typedefs | Functions
zypp::base Namespace Reference

## Namespaces
namespace | logger
namespace | sysconfig

## Classes
class | ContainerTransform
| Helper managing a container of raw values with transformed representation. More...
class | DrunkenBishop
| Random art fingerprint visualization Visualize fingerprint data on a [17x9] (SSH) or [19x11] (GPG) or custom sized board. More...
class | Flags
| A type-safe way of storing OR-combinations of enum values (like QTs QFlags). More...
class | LogControl
| Maintain logfile related options. More...
struct | ProfilingFormater
struct | ProvideNumericId
| Base class for objects providing a numeric Id. More...
class | ReferenceCounted
| Base class for reference counted objects. More...
class | SetRelationMixin
| Provide set relation methods based on Derived::setRelationMixinCompare A class using this mixin must provide: More...
class | SetTracker
| Track added/removed set items based on an initial set. More...
class | Unit
| Simple handling of Units. More...
class | ValueTransform
| Helper managing raw values with transformed representation. More...

## Typedefs
typedef boost::noncopyable | NonCopyable
| Ensure derived classes cannot be copied. More...

## Functions
| ZYPP_DECLARE_OPERATORS_FOR_FLAGS (DrunkenBishop::Options)
template<typename TEnum >
std::ostream & | operator<< (std::ostream &str, const Flags< TEnum > &obj)
template<typename TEnum >
std::ostream & | operator<< (std::ostream &str, const typename Flags< TEnum >::Enum &obj)
std::ostream & | operator<< (std::ostream &str, const LogControl &obj)
int | random_int ()
std::string | random_string (int length)
unsigned | random ()
| Return a random number from `[0,RAND_MAX[`. More...
unsigned | random (unsigned size_r)
| Return a random number from `[0,size_r[`. More...
unsigned | random (unsigned min_r, unsigned size_r)
| Return a random number from `[min_r,min_r+size_r[`. More...

## Typedef Documentation

## ◆ NonCopyable

typedef boost::noncopyable zypp::base::NonCopyable

Ensure derived classes cannot be copied.

Use private inheritance.

Definition at line 26 of file NonCopyable.h.

## Function Documentation

## ◆ ZYPP_DECLARE_OPERATORS_FOR_FLAGS()

zypp::base::ZYPP_DECLARE_OPERATORS_FOR_FLAGS | ( | DrunkenBishop::Options |  | ) |

## ◆ operator<<() [1/3]

template<typename TEnum >

std::ostream& zypp::base::operator<< | ( | std::ostream & | str,
|  | const Flags< TEnum > & | obj
| ) |  |
| inline

Definition at line 166 of file Flags.h.

## ◆ operator<<() [2/3]

template<typename TEnum >

std::ostream& zypp::base::operator<< | ( | std::ostream & | str,
|  | const typename Flags< TEnum >::Enum & | obj
| ) |  |
| inline

Definition at line 170 of file Flags.h.

## ◆ operator<<() [3/3]

std::ostream& zypp::base::operator<< | ( | std::ostream & | str,
|  | const LogControl & | obj
| ) |  |
| related

Definition at line 504 of file LogControl.cc.

## ◆ random_int()

int zypp::base::random_int | ( |  | ) |

Definition at line 9 of file Random.cc.

## ◆ random_string()

std::string zypp::base::random_string | ( | int | length | ) |

Definition at line 30 of file Random.cc.

## ◆ random() [1/3]

unsigned zypp::base::random | ( |  | ) |
| inline

Return a random number from `[0,RAND_MAX[`.

Definition at line 28 of file Random.h.

## ◆ random() [2/3]

unsigned zypp::base::random | ( | unsigned | size_r | ) |
| inline

Return a random number from `[0,size_r[`.

Definition at line 33 of file Random.h.

## ◆ random() [3/3]

unsigned zypp::base::random | ( | unsigned | min_r,
|  | unsigned | size_r
| ) |  |
| inline

Return a random number from `[min_r,min_r+size_r[`.

Definition at line 38 of file Random.h.